# Generated by Django 4.2.5 on 2023-09-21 13:59

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="User",
            fields=[
                ("password", models.CharField(max_length=128, verbose_name="password")),
                (
                    "last_login",
                    models.DateTimeField(
                        blank=True, null=True, verbose_name="last login"
                    ),
                ),
                (
                    "uid",
                    models.BigIntegerField(
                        primary_key=True, serialize=False, verbose_name="user id"
                    ),
                ),
                ("username", models.CharField(unique=True, verbose_name="username")),
                (
                    "email",
                    models.CharField(
                        blank=True, null=True, unique=True, verbose_name="email"
                    ),
                ),
                (
                    "discord",
                    models.BigIntegerField(
                        null=True, unique=True, verbose_name="discord id"
                    ),
                ),
                (
                    "discord_username",
                    models.TextField(blank=True, verbose_name="discord username"),
                ),
                (
                    "is_moderator",
                    models.BooleanField(default=False, verbose_name="is moderator"),
                ),
                (
                    "is_admin",
                    models.BooleanField(default=False, verbose_name="is admin"),
                ),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="UserProfile",
            fields=[
                (
                    "user",
                    models.OneToOneField(
                        on_delete=django.db.models.deletion.CASCADE,
                        primary_key=True,
                        serialize=False,
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "display_name",
                    models.TextField(
                        blank=True, max_length=100, verbose_name="display name"
                    ),
                ),
                (
                    "bio",
                    models.TextField(blank=True, max_length=1000, verbose_name="bio"),
                ),
            ],
        ),
    ]
